Subject: bug#71440: Python Inferior Mode Can’t Recognize My Prompt

From: kobarity <[email-masked]>
Date: Mon, 10 Jun 2024 00:26:50 +0900

Eli Zaretskii wrote:
> 
> > From: "shynur ." <[email-masked]>
> > CC: "[email-masked]" <[email-masked]>
> > Date: Sun, 9 Jun 2024 10:49:19 +0000
> > msip_labels:
> > 
> > > I wonder how PS1 and PS2 are at all relevant when using 
> > > python-shell-send-buffer?  That function sends the buffer
> > > text to Python, so where do PS1 and PS2 come into play,
> > > and why does Python say "__PYTHON_EL_eval is not defined" 
> > > just because you have PS1 and PS2 customized?
> > 
> > I know it’s *weird* but it just happened.
> > I gave the recipes in the original post for anyone to 
> > reproduce it.
> > 
> > > If someone helps me understand that, maybe I will have 
> > > further ideas.
> > 
> > How about CC this post to the maintainer(s) of ‘python.el’?
> 
> Done.
> 
> > > How about defining PYTHONSTARTUP to point to a different 
> > > file?
> > 
> > This makes it inconvenient to add or modify content to the 
> > ‘PYTHONSTARTUP’ file because each change needs to be synced
> > to another file that exists for Emacs.
> 
> You are on Windows, so some measure of inconvenience is expected.

Seems like a bug or limitation in `python-shell-prompt-detect'.  Can
you try the attached diff?  It should work with Python 2.6 or higher.